set verify    off;
set echo      off;
set heading   off;
set underline off;
set pagesize  0;
spool H:\Part_Tracking\Datenbank\stat;
select
       lfd_nr||' line      '
       ,sum(sign(nvl(line_id, 0)))
  from line, zaehler
 where lfd_nr = &&1
   and line_id (+) = lfd_nr
 group by
       lfd_nr||' line      '
;
select
       lfd_nr||' station   '
       ,sum(sign(nvl(line_id, 0)))
  from station, zaehler
 where lfd_nr = &&1
   and line_id (+) = lfd_nr
 group by
       lfd_nr||' station   '
;
select
       lfd_nr||' produkt   '
       ,sum(sign(nvl(line_id, 0)))
  from produkt, zaehler
 where lfd_nr = &&1
   and line_id (+) = lfd_nr
 group by
       lfd_nr||' produkt   '
;
select
       lfd_nr||' tcharge   '
       ,sum(sign(nvl(line_id, 0)))
  from tcharge, zaehler
 where lfd_nr = &&1
   and line_id (+) = lfd_nr
 group by
       lfd_nr||' tcharge   '
;
select
       lfd_nr||' tzuord    '
       ,sum(sign(nvl(line_id, 0)))
  from tzuord , zaehler
 where lfd_nr = &&1
   and line_id (+) = lfd_nr
 group by
       lfd_nr||' tzuord    '
;
select
       lfd_nr||' sollwert  '
       ,sum(sign(nvl(line_id, 0)))
  from sollwert, zaehler
 where lfd_nr = &&1
   and line_id (+) = lfd_nr
 group by
       lfd_nr||' sollwert  '
;
select
       lfd_nr||' fehlkat   '
       ,sum(sign(nvl(line_id, 0)))
  from fehlkat, zaehler
 where lfd_nr = &&1
   and line_id (+) = lfd_nr
 group by
       lfd_nr||' fehlkat   '
;
select
       lfd_nr||' aktivitaet'
       ,sum(sign(nvl(line_id, 0)))
  from aktivitaet, zaehler
 where lfd_nr = &&1
   and line_id (+) = lfd_nr
 group by
       lfd_nr||' aktivitaet'
;
select
       lfd_nr||' einbau    '
       ,sum(sign(nvl(line_id, 0)))
  from einbau, zaehler
 where lfd_nr = &&1
   and line_id (+) = lfd_nr
 group by
       lfd_nr||' einbau    '
;
select
       lfd_nr||' messwert  '
       ,sum(sign(nvl(line_id, 0)))
  from messwert, zaehler
 where lfd_nr = &&1
   and line_id (+) = lfd_nr
 group by
       lfd_nr||' messwert  '
;
select
       lfd_nr||' fehler    '
       ,sum(sign(nvl(line_id, 0)))
  from fehler, zaehler
 where lfd_nr = &&1
   and line_id (+) = lfd_nr
 group by
       lfd_nr||' fehler    '
;
select
       lfd_nr||' stoerkat  '
       ,sum(sign(nvl(line_id, 0)))
  from stoerkat, zaehler
 where lfd_nr = &&1
   and line_id (+) = lfd_nr
 group by
       lfd_nr||' stoerkat  '
;
spool off;
pause beenden mit RETURN;
exit;
